#!/bin/bash

# show the working nodes Torque reserved for you
cd $PBS_O_WORKDIR

echo "My machine will have the following nodes:"
echo "-----------------------------------------"
cat ${PBS_NODEFILE}
echo "-----------------------------------------"

# run the R on the reserved nodes with MPI command
# run the RMPI program on R (What you need to change is only the filename)
# quit R (mpi.quit()) after you have done the job
# the execution result of your R program will be printed into run.sh.oXXX (XXX is job #)
# the error info will be printed into run.sh.eXXX if you R program terminate abnormally
mpirun -np 1 -hostfile $PBS_NODEFILE /usr/bin/R --no-save <<EOF
source('week1.R')
mpi.quit()
EOF

# delete the previous standard output and standard error information (defalut)
# comment the following line if you want to keep previous output data and error info
rm ~/rmpitest/run.sh.*

